Bug 12773 - Излишне конкретная зависимость на xterm вместо абстрактного xvt
: Излишне конкретная зависимость на xterm вместо абстрактного xvt
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P1 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-14 03:54 by
Modified: 2007-09-19 21:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-14 03:54:36
IMHO, неплохо было бы тупо s/xterm/xvt/ в /usr/bin/runwm.
------- Comment #1 From 2007-09-14 12:27:32 -------
Интересно, зачем?
------- Comment #2 From 2007-09-14 13:53:48 -------
/usr/bin/xvt висит у нас на альтернативах.
Зачем хардкодить xterm ?
------- Comment #3 From 2007-09-14 17:41:19 -------
(In reply to comment #1)
> Интересно, зачем?

Чтобы в конце концов получить таки иксы без установленного xterm? :-)
------- Comment #4 From 2007-09-17 09:34:37 -------
(In reply to comment #3)
> Чтобы в конце концов получить таки иксы без установленного xterm? :-)

А сейчас что мешает? Чтобы получить иксы без xterm нужно поставить какой-нибудь
другой терминал, который бы предоставлял xvt (например, aterm).
------- Comment #5 From 2007-09-17 10:14:45 -------
(In reply to comment #3)
> Чтобы в конце концов получить таки иксы без установленного xterm? :-)

О Господи! Вы правы. Приношу свои извинения, я был не внимателен (судя по
комментариям Славы, он тоже).

Конечно это стоит сделать. Поднимаю приоритет т.к. сейчас не ставить xterm
невозможно.
------- Comment #6 From 2007-09-17 10:39:54 -------
(In reply to comment #0)
> IMHO, неплохо было бы тупо s/xterm/xvt/ в /usr/bin/runwm.

Ааааа....  Ничего не понимаю %) В Summary о добавлении за висимости на xterm, а
тут напротив о замене xterm на xvt. Именно Summary, похоже, и сбила столку.
------- Comment #7 From 2007-09-17 11:02:17 -------
> > Чтобы в конце концов получить таки иксы без установленного xterm? :-)
> О Господи! Вы правы. Приношу свои извинения, я был не внимателен (судя по
> комментариям Славы, он тоже).
> Конечно это стоит сделать. Поднимаю приоритет т.к. сейчас не ставить xterm
> невозможно.

Надеюсь, будет починено в следующей сборке.

Сам впредь буду уменее: надо писать явно - "Излишняя зависимость на конкретный
xterm вместо абстрактного xvt". А то даже майнтайнер не сразу прочухал. :-)

P.S.: остаётся ещё ghostscript от xterm отвязать...
------- Comment #8 From 2007-09-18 01:28:38 -------
В используемой конструкции "xterm -geometry 100x25+0+0" нельзя
тупо заменить xterm на xvt.  Предложения приветствуются.
------- Comment #9 From 2007-09-18 01:33:40 -------
Почему нельзя?  Все кандидаты на xvt должны принимать стандартные ключи типа
-geometry, -title, -e...  Помнится, в Eterm даже враппер был на эту тему.
------- Comment #10 From 2007-09-18 01:37:00 -------
konsole тоже понимает -geometry?
------- Comment #11 From 2007-09-18 02:56:41 -------
(In reply to comment #10)
> konsole тоже понимает -geometry?

А уж не его ли это личные трудности? Ну, враппер.

P.S.: тоже мне, иксовое приложение называется.
------- Comment #12 From 2007-09-18 15:08:52 -------
Fixed in 2.4.26-alt1.